function pm = PmFunctionNew(w,pmguess,A,T_li,k,h,rho,xi,params)

global I n

B = params.B;
beta = params.beta;
theta = params.theta;
Cs = params.Cs;

% This function solves for the price index Pm for intermediate goods.

% Note: v should be of the form v(nl), markets in rows and production locations in columns

% Initial price
pm = pmguess;
pp = pm;
tolpp=1;
iter=0;
toler = 1.e-15;
    
    Cnil     = zeros(n,n,n);
    ProdNorm = zeros(n,n,n);
    
while (tolpp>toler)&&(iter<400) 

Pm  =  pp;
c        = B* (w.^beta).* (Pm.^(1-beta));
c_matrix = (diag(c)*I)';         % This matrix is nXn with repeated rows of the form: [c(1) c(2) ...c(n); c(1)...c(n);...]
T_cost   = c_matrix./k;          % This matrix is nXn of the form:                    [c(1)/k11 c(2)/k12 ...c(n)/k1n; c(1)/k21...c(n)/k2n;...]
MP_cost  = c_matrix'./h;         % This matrix is nXn of the form:                    [c(1)/h11 c(1)/h12 ...c(1)/h1n; c(2)/h21...c(2)/h2n;...]


    tot     = (1-A)* MP_cost.^(1-rho) + A* T_cost.^(1-rho);            
    Cin     = tot.^(1/(1-rho));
    
for l = 1:n
    Cnil(:,:,l) = repmat(Cin(l,:),n,1) ./ repmat(k(:,l),1,n);                       %<-nikhil>
end

Prod = (Cnil.^(-1/theta)).*repmat(T_li,[1,1,n]);

MaxProd = max(Prod,[],3);

for l = 1:n;
   ProdNorm(:,:,l) = Prod(:,:,l)./MaxProd(:,:);
end
Psi_ni  = MaxProd .* sum(ProdNorm.^(1/xi),3).^xi;

Psi_n   = sum(Psi_ni,2);

    ppp = Cs * Psi_n.^-theta;
    tolpp = max(abs(ppp-pp));
    pp = ppp;

    iter=iter+1;
end
pm = pp;