function R2= algorithm(x,params,data,initial)

global n I R2Vector

theta = params.theta;
alpha = params.alpha;
eta = params.eta;
B_NT = params.B_NT;
B = params.B;
beta = params.beta; 
    
d_ni = data.d_ni;
border = data.border;
lang = data.lang;
D_ni_M_data = data.D_ni_M_data;
D_ni_m_data = data.D_ni_m_data;
shareRDEmp  = data.shareRDEmp;

L0 = initial.L0;
A0 = initial.A0;
A0_NT = initial.A0_NT;
rho = initial.rho0;
xi = initial.xi0; 

[k,h] = fcosts(x,border,lang,d_ni,n);

output = function_GDP(L0,A0_NT,A0,params,data,k,h,rho,xi);

L    = output(1:n);
A_NT = output(length(output)-1);
A    = output(length(output));
%A0 = A;
%L0 = L;
%A0_NT = A_NT;

h_NT = max(0,min(1,(1/A_NT)*(h - eye(n)) + eye(n)));
w0 = ones(n,1) / (ones(1,n)*L);

lambda_tot = shareRDEmp.* L/1000;
T_li = (diag(lambda_tot)*I)';

% Initialize matrices
    pi_nil   = zeros(n,n,n);
    Cnil     = zeros(n,n,n);
    ProdNorm = zeros(n,n,n);
    MPT      = zeros(n,n);
    sMCube   = zeros(n,n,n);


[w,Z,Pm] = f_wagesNew(w0,L,T_li,params,k,h,rho,xi,A);

GDP_model = w.*L;
XT  = GDP_model*eta;

c        = B* (w.^beta).* (Pm.^(1-beta));
c_matrix = (diag(c)*I)';         % This matrix is nXn with repeated rows of the form: [c(1) c(2) ...c(n); c(1)...c(n);...]
T_cost   = c_matrix./k;          % This matrix is nXn of the form:                    [c(1)/k11 c(2)/k12 ...c(n)/k1n; c(1)/k21...c(n)/k2n;...]
MP_cost  = c_matrix'./h;         % This matrix is nXn of the form:                    [c(1)/h11 c(1)/h12 ...c(1)/h1n; c(2)/h21...c(2)/h2n;...]
tot      = (1-A)* MP_cost.^(1-rho) + A* T_cost.^(1-rho);            
Cin      = tot.^(1/(1-rho));
omega    = A*(T_cost.^(1-rho))./ tot; 

    % The order of subscripts is (n,i,l = destination, origin, bridge)
for l = 1:n
    Cnil(:,:,l) = repmat(Cin(l,:),n,1) ./ repmat(k(:,l),1,n);                       %<-nikhil>
end

Prod = (Cnil.^(-1/theta)).*repmat(T_li,[1,1,n]);

MaxProd = max(Prod,[],3);
for l = 1:n;
   ProdNorm(:,:,l) = Prod(:,:,l)./MaxProd(:,:);
end
Psi_ni  = MaxProd .* sum(ProdNorm.^(1/xi),3).^xi;
Psi_n   = sum(Psi_ni,2);

Psi_n_matrix = diag(Psi_n)*I;    % This matrix is nXn of the form: [Psi(1) Psi(1) ...Psi(1); Psi(2)...Psi(2);...; Psi(n)...Psi(n)]
s_ni   = Psi_ni./Psi_n_matrix;   % trade shares with national technologies

for l=1:n
    pi_nil(:,:,l) = (Prod(:,:,l) ./Psi_ni).^(1/xi); %%HERE WE NEEDED TO HAVE A PARENTHESIS SO THAT Prod WAS ALSO RAIED TO THE 1/xi POWER
    sMCube(:,:,l) =  s_ni.*pi_nil(:,:,l);
    MPT(l,:) = sum(sMCube(:,:,l).*(diag(XT)*I),1);  
end

ALshares = sum(permute(sMCube,[1 3 2]),3);
M_ni = ALshares.*(diag(XT)*I) + omega.*MPT;

s_ni_M = MPT./(diag(L.*w)*I);
D_ni_m = M_ni./ (diag(XT)*I);

% NON-TRADABLES
c_NT        = B_NT * (w.^alpha) .* (Pm.^(1-alpha));
c_NT_matrix = (diag(c_NT)*I)';         % This matrix is nXn of the form: [c(1) c(2) ...c(n); c(1)...c(n);...]

MP_cost_NT  = c_NT_matrix'./h_NT;         % This matrix is nXn of the form: [c(1)/h11 c(1)/h12 ...c(1)/h1n; c(2)/h21...c(2)/h2n;...]
Cin_NT      = MP_cost_NT;
ProdNT  = (Cin_NT.^(-1/theta)).* T_li;
Psi_NT = sum(ProdNT,2);   

Psi_NT_matrix = diag(Psi_NT)*I;        % This matrix is nXn of the form: [Psi(1) Psi(1) ...Psi(1); Psi(2)...Psi(2);...; Psi(n)...Psi(n)]

s_ni_NT = (ProdNT./Psi_NT_matrix);

D_ni_M = s_ni_M + s_ni_NT;

% Correction for i==n = 0
D_ni_m      = (I-eye(n)).*D_ni_m;
D_ni_M      = (I-eye(n)).*D_ni_M;

eps_T    = (vec(D_ni_m(D_ni_m_data>0)')  - vec(D_ni_m_data(D_ni_m_data>0)')).^2;
eps_M    = (vec(D_ni_M(D_ni_M_data>0)')  - vec(D_ni_M_data(D_ni_M_data>0)')).^2;
R2_T   =  1 - sum(eps_T)/sum(vec(D_ni_m_data(D_ni_m_data>0)').^2);
R2_M   =  1 - sum(eps_M)/sum(vec(D_ni_M_data(D_ni_M_data>0)').^2);

R2 =  2 - (R2_T + R2_M);
R2Vector   = [R2Vector R2]

x(1:8)

save iterVector R2Vector
save temp x L A_NT A

