function output= function_GDP(L_guess,A_NT_guess, A_guess,params,data,k,h,rho,xi)

global  n I

realGDPpc = data.realGDPpc;
N = data.N;
shareRDEmp  = data.shareRDEmp;

theta = params.theta;
alpha = params.alpha;
B_NT = params.B_NT;
Cs = params.Cs;
B = params.B;
beta = params.beta; 

L_new    = L_guess;
A_NT_new = A_NT_guess;
A_new  = A_guess;  

% Initialize loop
jj_L = max(realGDPpc)*ones(length(L_guess),1);
jj_ANT = 1;
jj_A   = 10;

while (max(abs(jj_L)) > 0.1) || (abs(jj_ANT) > 0.02) || (abs(jj_A) > 0.005)
        
L = L_new;
w0 = ones(n,1) / (ones(1,n)*L);
lambda_tot = shareRDEmp .*L/1000;
T_li = (diag(lambda_tot)*I)';

A_NT = A_NT_new;
h_NT = max(0,min(1,(1/A_NT)*(h - eye(n)) + eye(n)));
A    = A_new;

 % Initialize matrices
    pi_nil   = zeros(n,n,n);
    Cnil     = zeros(n,n,n);
    ProdNorm = zeros(n,n,n);
    MPT      = zeros(n,n);
    sMCube   = zeros(n,n,n);

[w,Z,Pm] = f_wagesNewL(w0,L,A,T_li,params,k,h,rho,xi);

c        = B* (w.^beta).* (Pm.^(1-beta));
c_matrix = (diag(c)*I)';         % This matrix is nXn with repeated rows of the form: [c(1) c(2) ...c(n); c(1)...c(n);...]
T_cost   = c_matrix./k;          % This matrix is nXn of the form:                    [c(1)/k11 c(2)/k12 ...c(n)/k1n; c(1)/k21...c(n)/k2n;...]
MP_cost  = c_matrix'./h;         % This matrix is nXn of the form:                    [c(1)/h11 c(1)/h12 ...c(1)/h1n; c(2)/h21...c(2)/h2n;...]
tot      = (1-A)* MP_cost.^(1-rho) + A* T_cost.^(1-rho);            
Cin      = tot.^(1/(1-rho));
omega    = A*(T_cost.^(1-rho))./ tot; 

    % The order of subscripts is (n,i,l = destination, origin, bridge)
for l = 1:n
    Cnil(:,:,l) = repmat(Cin(l,:),n,1) ./ repmat(k(:,l),1,n);                       %<-nikhil>
end
Prod = (Cnil.^(-1/theta)).*repmat(T_li,[1,1,n]);
MaxProd = max(Prod,[],3);
for l = 1:n;
   ProdNorm(:,:,l) = Prod(:,:,l)./MaxProd(:,:);
end
Psi_ni  = MaxProd .* sum(ProdNorm.^(1/xi),3).^xi;
Psi_n   = sum(Psi_ni,2);

Psi_n_matrix = diag(Psi_n)*I;    % This matrix is nXn of the form: [Psi(1) Psi(1) ...Psi(1); Psi(2)...Psi(2);...; Psi(n)...Psi(n)]
s_ni   = Psi_ni./Psi_n_matrix;   % trade shares with national technologies

for l=1:n
    pi_nil(:,:,l) = (Prod(:,:,l) ./Psi_ni).^(1/xi); %%HERE WE NEEDED TO HAVE A PARENTHESIS SO THAT Prod WAS ALSO RAIED TO THE 1/xi POWER
    sMCube(:,:,l) =  s_ni.*pi_nil(:,:,l);
    MPT(l,:) = sum(sMCube(:,:,l).*(diag(L.*w)*I),1)*(1-alpha)/beta;  
end

s_ni_M = MPT./(diag(L.*w)*I);

% NON-TRADABLES
c_NT        = B_NT * (w.^alpha) .* (Pm.^(1-alpha));
c_NT_matrix = (diag(c_NT)*I)';         % This matrix is nXn of the form: [c(1) c(2) ...c(n); c(1)...c(n);...]
MP_cost_NT  = c_NT_matrix'./h_NT;         % This matrix is nXn of the form: [c(1)/h11 c(1)/h12 ...c(1)/h1n; c(2)/h21...c(2)/h2n;...]
Cin_NT      = MP_cost_NT;
ProdNT  = (Cin_NT.^(-1/theta)).* T_li;
Psi_NT = sum(ProdNT,2);   
Psi_NT_matrix = diag(Psi_NT)*I;        % This matrix is nXn of the form: [Psi(1) Psi(1) ...Psi(1); Psi(2)...Psi(2);...; Psi(n)...Psi(n)]

s_ni_NT = (ProdNT./Psi_NT_matrix);
intra_ni = (omega.*s_ni_M)./(s_ni_M + s_ni_NT);

% Correction for i==n = 0
s_ni_NT = (I-eye(n)).*s_ni_NT;
intra_ni= (I-eye(n)).*intra_ni;
MPT     = (I-eye(n)).*MPT;
MP      = MPT + s_ni_NT.*(diag(L.*w)*I);
sh_MP_T = MPT./MP;
for i=1:n
sh_MP_T(i,i)     = 0;
end
sh_MP_T_US  = [sh_MP_T(:,19); sh_MP_T(19,:)'];
intra_US    = [intra_ni(:,19); intra_ni(19,:)'];

P = Cs * Psi_NT.^(-theta);

GDP_model       = w.*L;
GDPpc_model     = GDP_model./N;
realGDPpc_model = GDPpc_model./P;
realGDPpc_model = realGDPpc_model / realGDPpc_model(19);

jj_L = realGDPpc - realGDPpc_model;
L_new = L.*(1.1.^jj_L);

MOM = [sum(sh_MP_T_US)/(2*(n-1)) sum(intra_US)/(2*(n-1))];

%AvgMPShareMfgUS = 0.48;
%AvgIFTshareUS = 0.074;

jj_ANT = 0.48  - MOM(1);
jj_A   = 0.074 - MOM(2);

A_NT_new = A_NT*(1.1^jj_ANT);
A_new    = A   *(1.1^jj_A);

[max(abs(jj_L)) abs(jj_ANT) abs(jj_A)]

output = [L;A_NT;A];

end
