clear P c_NT Psi_NT

% NO MP IN NON-TRADABLES
c_NT        = B_NT * (w.^alpha) .* (Pm.^(1-alpha));
Psi_NT = (c_NT.^(-1/theta)).* diag(T_li);   
P = Cs * Psi_NT.^(-theta);

realWageBench_T = w./P;

clear Pm c_NT Psi_NT P w

%%%  AUTARKY
w = w0;
Pm = (B*Cs)^(1/beta) * w.*(diag(T_li).^(-theta/beta));
c_NT    = B_NT * (w.^alpha) .* (Pm.^(1-alpha));
Psi_NT  = diag(T_li).* (c_NT.^(-1/theta));
P = Cs * Psi_NT.^-theta;
realWageAut = w./ P;
PmAut = Pm;
clear Pm Psi_NT c_NT w P

%%% ONLY TRADE, no MP k>0, h=0 --> no intra-firm trade
[w,Z,Pm] = f_wagesNewTrade(w0,cparams,params,T_li,L);
c        = B* (w.^beta).* (Pm.^(1-beta));
c_matrix = (diag(c)*I)';         % This matrix is nXn with repeated rows of the form: [c(1) c(2) ...c(n); c(1)...c(n);...]
T_cost   = c_matrix./k;          % This matrix is nXn of the form:                    [c(1)/k11 c(2)/k12 ...c(n)/k1n; c(1)/k21...c(n)/k2n;...]

Psi_ni  = (diag(diag(T_li))*I)'.*(T_cost.^(-1/theta));
Psi_n   = sum(Psi_ni,2);
Psi_n_matrix = diag(Psi_n)*I;    % This matrix is nXn of the form: [Psi(1) Psi(1) ...Psi(1); Psi(2)...Psi(2);...; Psi(n)...Psi(n)]

D_ni   = Psi_ni./Psi_n_matrix;    % trade shares with national technologies

% Correction for i==n = 0
D_ni        = (I-eye(n)).*D_ni;
ETradeShares= sum(reshape(D_ni',n^2,1))/(n*(n-1));

c_NT        = B_NT * (w.^alpha) .* (Pm.^(1-alpha));
Psi_NT = (c_NT.^(-1/theta)).* diag(T_li);   
P = Cs * Psi_NT.^(-theta);
realWageTrade = w./P;
PmTrade = Pm;

clear Pm Psi_NT c_NT w P

%%% ONLY MP, no TRADE h>0, k=0 --> no intra-firm trade
w  = w0;
Pm = PmFunctionNewMP(w,pmguess,A,params, cparams, T_li);
c        = B* (w.^beta).* (Pm.^(1-beta));
c_matrix = (diag(c)*I)';         % This matrix is nXn with repeated rows of the form: [c(1) c(2) ...c(n); c(1)...c(n);...]
MP_cost  = c_matrix'./h;         % This matrix is nXn of the form:                    [c(1)/h11 c(1)/h12 ...c(1)/h1n; c(2)/h21...c(2)/h2n;...]
Cin     = (1 - A)^(1/(1-rho))*MP_cost;
Psi_ni  = T_li .* Cin.^(-1/theta) - diag(diag(T_li .* Cin.^(-1/theta))) + diag(diag(T_li).*c.^(-1/theta)); 
Psi_n   = sum(Psi_ni,2);
Psi_n_matrix = diag(Psi_n)*I;    % This matrix is nXn of the form: [Psi(1) Psi(1) ...Psi(1); Psi(2)...Psi(2);...; Psi(n)...Psi(n)]
s_ni_M   = ((1-alpha)/beta)*Psi_ni./Psi_n_matrix;   % trade shares with national technologies
Cin_onlyMP = Cin;

c_NT        = B_NT * (w.^alpha) .* (Pm.^(1-alpha));
c_NT_matrix = (diag(c_NT)*I)';         % This matrix is nXn of the form: [c(1) c(2) ...c(n); c(1)...c(n);...]
MP_cost_NT  = c_NT_matrix'./h_NT;      % This matrix is nXn of the form: [c(1)/h11 c(1)/h12 ...c(1)/h1n; c(2)/h21...c(2)/h2n;...]
Cin_NT      = MP_cost_NT;
ProdNT  = (Cin_NT.^(-1/theta)).* T_li;
Psi_NT = sum(ProdNT,2);
Psi_NT_matrix = diag(Psi_NT)*I;        % This matrix is nXn of the form: [Psi(1) Psi(1) ...Psi(1); Psi(2)...Psi(2);...; Psi(n)...Psi(n)]
s_ni_NT = (ProdNT./Psi_NT_matrix);
D_ni_M = s_ni_M + s_ni_NT;
% Correction for i==n = 0
D_ni_M      = (I-eye(n)).*D_ni_M;
E_MPShare   = sum(reshape(D_ni_M',n^2,1))/(n*(n-1));

P = Cs * Psi_NT.^(-theta);
realWageMP = w./ P;

clear P c_NT Psi_NT

%%% AUTARKY IN NT, BUT LIBERALIZATION IN T
c_NT   = B_NT * (w.^alpha) .* (Pm.^(1-alpha));
Psi_NT = (c_NT.^(-1/theta)).* diag(T_li);   
P      = Cs * Psi_NT.^(-theta);
realWageMP_T = w./P;

clear Pm c_NT Psi_NT P w

%%% MP only in NT but Trade in T
w  = w0;
c_NT   = B_NT * (w.^alpha) .* (PmTrade.^(1-alpha));
c_NT_matrix = (diag(c_NT)*I)';         % This matrix is nXn of the form: [c(1) c(2) ...c(n); c(1)...c(n);...]
MP_cost_NT  = c_NT_matrix'./h_NT;      % This matrix is nXn of the form: [c(1)/h11 c(1)/h12 ...c(1)/h1n; c(2)/h21...c(2)/h2n;...]
Cin_NT      = MP_cost_NT;
ProdNT  = (Cin_NT.^(-1/theta)).* T_li;
Psi_NT = sum(ProdNT,2);
P = Cs * Psi_NT.^(-theta);
realWageMP_NT_T = w./P;

clear Pm c_NT Psi_NT P w

% No Trade, no MP in tradables. MP in non-tradables
w  = w0;
c_NT   = B_NT * (w.^alpha) .* (PmAut.^(1-alpha));
c_NT_matrix = (diag(c_NT)*I)';         % This matrix is nXn of the form: [c(1) c(2) ...c(n); c(1)...c(n);...]
MP_cost_NT  = c_NT_matrix'./h_NT;      % This matrix is nXn of the form: [c(1)/h11 c(1)/h12 ...c(1)/h1n; c(2)/h21...c(2)/h2n;...]
Cin_NT      = MP_cost_NT;
ProdNT  = (Cin_NT.^(-1/theta)).* T_li;
Psi_NT = sum(ProdNT,2);
P = Cs * Psi_NT.^(-theta);
realWageMP_NT = w./P;

clear Pm c_NT Psi_NT P w

%%% GAINS
GO   = log(realWageBench)   - log(realWageAut);
GOg  = log(realWageBench_T) - log(realWageAut);
GOf  = log(realWageMP_NT)   - log(realWageAut);
GT   = log(realWageBench)   - log(realWageMP);
GMP  = log(realWageBench)   - log(realWageTrade);
GMPg = log(realWageBench_T) - log(realWageTrade);

GO   = exp(GO);
GOg  = exp(GOg);
GOf  = exp(GOf);
GT   = exp(GT);
GMP  = exp(GMP);
GMPg = exp(GMPg);

GAINS_CALIB_CTRY = [GO GT GMP GMPg 100*L/sum(L) ];
GAINS_CALIB      = [mean(GO) mean(GT) mean(GMP) ;
                    mean(GOg) mean(GT)  mean(GMPg);
                    mean(GOf) 0 mean(GOf)];
