% GAINS UNDER INDEPENDENCE DATA
GT_tilda     = D_nn_m_data.^(-eta*theta);
% TWO Assumptions: all countries, as US, have 0.48 of MP in manuf. and Yg = eta Yf
GMPg_tilda = ((1 - (0.48/eta)*sum(D_ni_M_data,2))).^(-eta*theta);
GMPf_tilda = (1 - (1 - 0.48)*sum(D_ni_M_data,2)).^(-theta);
GMP_tilda  = GMPg_tilda.*GMPf_tilda;
GO_tilda   = GMP_tilda.*GT_tilda;
GOf_tilda   = GMPf_tilda;
GOg_tilda   = GMPg_tilda.*GT_tilda;

% GAINS UNDER INDEPENDENCE MODEL
GT_tilda_model   = D_nn_m.^(-eta*theta);
GMPg_tilda_model = (1 - sum(s_ni_M/eta,2)).^(-eta*theta);
GMPf_tilda_model = (1 - sum(s_ni_NT,2)).^(-theta);
GMP_tilda_model  = GMPg_tilda_model.*GMPf_tilda_model;
GO_tilda_model   = GMP_tilda_model.*GT_tilda_model;
GOf_tilda_model  = GMPf_tilda_model;
GOg_tilda_model  = GMPg_tilda_model.*GT_tilda_model;

% OUTPUT
GAINS_IND_DATA_Ctry = [GO_tilda GT_tilda GMP_tilda GMPg_tilda GMPf_tilda L/sum(L)*100];
GAINS_IND_MODEL_Ctry = [GO_tilda_model GT_tilda_model GMP_tilda_model GMPg_tilda_model GMPf_tilda_model L/sum(L)*100];

% OUTPUT
GAINS_IND_model= [mean(GO_tilda_model) mean(GT_tilda_model) mean(GMP_tilda_model);
                  mean(GOg_tilda_model) mean(GT_tilda_model)  mean(GMPg_tilda_model);
                  mean(GOf_tilda_model)  0                  mean(GMPf_tilda_model) ];
                 
GAINS_IND_data = [mean(GO_tilda) mean(GT_tilda) mean(GMP_tilda);
                  mean(GOg_tilda) mean(GT_tilda) mean(GMPg_tilda);
                  mean(GOf_tilda) 0 mean(GMPf_tilda) ];
              
              