output = function_GDP(L0,A0_NT,A0,params,cparams,shareRDEmp,realGDPpc,N);
L    = output(1:n);
A_NT = output(length(output)-1);
A    = output(length(output));
h_NT = max(0,min(1,(1/A_NT)*(h - eye(n)) + eye(n)));
w0 = ones(n,1) / (ones(1,n)*L);
lambda_tot = shareRDEmp.* L/1000;
T_li = (diag(lambda_tot)*I)';


% Initialize matrices
    pi_nil         = zeros(n,n,n);
    Cnil           = zeros(n,n,n);
    ProdNorm       = zeros(n,n,n);
    MPT            = zeros(n,n);
    MPT_BMP        = zeros(n,n);
    sMCube         = zeros(n,n,n);
    MPT_VMP        = zeros(n,n);
    RatioBMPoverMP = zeros(n,1);


[w,Z,Pm] = f_wagesNew(w0,params,A,cparams, T_li,L);

GDP_model = w.*L;
XT  = GDP_model*eta;

c        = B* (w.^beta).* (Pm.^(1-beta));
c_matrix = (diag(c)*I)';         % This matrix is nXn with repeated rows of the form: [c(1) c(2) ...c(n); c(1)...c(n);...]
T_cost   = c_matrix./k;          % This matrix is nXn of the form:                    [c(1)/k11 c(2)/k12 ...c(n)/k1n; c(1)/k21...c(n)/k2n;...]
MP_cost  = c_matrix'./h;         % This matrix is nXn of the form:                    [c(1)/h11 c(1)/h12 ...c(1)/h1n; c(2)/h21...c(2)/h2n;...]
tot      = (1-A)* MP_cost.^(1-rho) + A* T_cost.^(1-rho);            
Cin      = tot.^(1/(1-rho));
omega    = A*(T_cost.^(1-rho))./ tot; 

    % The order of subscripts is (n,i,l = destination, origin, bridge)
for l = 1:n
    Cnil(:,:,l) = repmat(Cin(l,:),n,1) ./ repmat(k(:,l),1,n);                       %<-nikhil>
end
Prod = (Cnil.^(-1/theta)).*repmat(T_li,[1,1,n]);

MaxProd = max(Prod,[],3);
for l = 1:n;
   ProdNorm(:,:,l) = Prod(:,:,l)./MaxProd(:,:);
end
Psi_ni  = MaxProd .* sum(ProdNorm.^(1/xi),3).^xi;
Psi_n   = sum(Psi_ni,2);

Psi_n_matrix = diag(Psi_n)*I;    % This matrix is nXn of the form: [Psi(1) Psi(1) ...Psi(1); Psi(2)...Psi(2);...; Psi(n)...Psi(n)]
s_ni   = Psi_ni./Psi_n_matrix;   % trade shares with national technologies

for l=1:n
    pi_nil(:,:,l) = (Prod(:,:,l) ./Psi_ni).^(1/xi); %%HERE WE NEEDED TO HAVE A PARENTHESIS SO THAT Prod WAS ALSO RAIED TO THE 1/xi POWER
    sMCube(:,:,l) =  s_ni.*pi_nil(:,:,l);
    MPT(l,:) = sum(sMCube(:,:,l).*(diag(XT)*I),1);  
end

ALshares = sum(permute(sMCube,[1 3 2]),3);
M_ni = ALshares.*(diag(XT)*I) + omega.*MPT;

s_ni_M = MPT./(diag(L.*w)*I);
D_ni_m = M_ni./ (diag(XT)*I);
IN_ni  = omega.*MPT;

for l=1:n
    sMCube(l,:,l) = 0;
    sMCube(:,l,l) = 0;
    MPT_BMP(l,:)  = sum(sMCube(:,:,l).*(diag(XT)*I));
end    

Yg = sum(MPT,2); % Total production of intermediates at destination country

% NON-TRADABLES
c_NT        = B_NT * (w.^alpha) .* (Pm.^(1-alpha));
c_NT_matrix = (diag(c_NT)*I)';         % This matrix is nXn of the form: [c(1) c(2) ...c(n); c(1)...c(n);...]

MP_cost_NT  = c_NT_matrix'./h_NT;         % This matrix is nXn of the form: [c(1)/h11 c(1)/h12 ...c(1)/h1n; c(2)/h21...c(2)/h2n;...]
Cin_NT      = MP_cost_NT;
ProdNT  = (Cin_NT.^(-1/theta)).* T_li;
Psi_NT = sum(ProdNT,2);   

Psi_NT_matrix = diag(Psi_NT)*I;        % This matrix is nXn of the form: [Psi(1) Psi(1) ...Psi(1); Psi(2)...Psi(2);...; Psi(n)...Psi(n)]

s_ni_NT = (ProdNT./Psi_NT_matrix);

D_ni_M = s_ni_M + s_ni_NT;
intra_ni = (omega.*s_ni_M)./(s_ni_M + s_ni_NT);
P = Cs * Psi_NT.^(-theta);

realWageBench = w./ P;
WageBench = w;
PriceBench = P;


