% Correction for i==n = 0
D_ni_m      = (I-eye(n)).*D_ni_m;
D_ni_M      = (I-eye(n)).*D_ni_M;
ALshares    = (I-eye(n)).*ALshares;
s_ni_M      = (I-eye(n)).*s_ni_M;
s_ni_NT     = (I-eye(n)).*s_ni_NT;
M_ni        = (I-eye(n)).*M_ni;
MPT         = (I-eye(n)).*MPT;
intra_ni    = (I-eye(n)).*intra_ni;
omega       = (I-eye(n)).*omega;
IN_ni       = (I-eye(n)).*IN_ni;


BMP_Mfg     = MPT_BMP./MPT;
MPT         = (I-eye(n)).*MPT;
MP          = MPT + s_ni_NT.*(diag(L.*w)*I);
sh_MP_T     = MPT./MP;
BMP         = MPT_BMP./MP;
MP          = (I-eye(n)).*MP;

for i=1:n
sh_MP_T(i,i) = 0;
BMP(i,i)     = 0;
BMP_Mfg(i,i) = 0;
end

intra_US    = [intra_ni(:,USA); intra_ni(USA,:)'];

D_nn_M = 1 - sum(D_ni_M,2);
D_nn_m = 1 - sum(D_ni_m,2);


% MP AND TRADE STATS
%%%%%%MOMENTS%%%%%%%%%%%%
BMP_US      = BMP(:,USA);
BMP_US_IN   = BMP(USA,:)';
BMP_Mfg_US    = BMP_Mfg(:,USA);
BMP_Mfg_US_IN = BMP_Mfg(USA,:)';

Avg_BMP_US        = sum(BMP_US)/(n-1);
Avg_BMP_US_IN    = sum(BMP_US_IN)/(n-1);
Avg_BMP_Mfg_US    = sum(BMP_Mfg_US)/(n-1);
Avg_BMP_Mfg_US_IN = sum(BMP_Mfg_US_IN)/(n-1);

intra       = mean(vec(intra_ni(intra_ni>0)'));
sh_MP_T_US  = [sh_MP_T(:,USA); sh_MP_T(USA,:)'];
% E_sh_MP_T   = sum(reshape(sh_MP_T',n^2,1))/(n*(n-1));

AvgTradeModel = mean(vec(D_ni_m(D_ni_m_data>0)'));
AvgMPModel    = mean(vec(D_ni_M(D_ni_M_data>0)'));
AvgIFTModel   = sum(intra_US)/(2*(n-1));
AvgMPTModel   = sum(sh_MP_T_US)/(2*(n-1));

%AGGREGATES AND BILATERAL SERIES TO CORRELATE WITH DATA

Import_model    = sum(D_ni_m,2);
Export_model    = sum(M_ni,1)'./XT;
Export_Yg_model = sum(M_ni,1)'./Yg;
InwardMP_model  = sum(D_ni_M,2);
OutwardMP_model = (sum(MPT,1)' + sum(s_ni_NT.*(diag(w.*L)*I),1)')./GDP_model;


STD_X_sh    = var(vec(D_ni_m(D_ni_m>0)'))^0.5;
STD_M_sh    = var(vec(D_ni_M(D_ni_M>0)'))^0.5;
STD_IT_sh   = var(vec(intra_US(intra_US>0)'))^0.5;
%STD_MP_T_sh = var(vec(sh_MP_T_US(sh_MP_T_US>0)'))^0.5;
STD_BMP_US         = var(vec(BMP_US(BMP_US>0)'))^0.5;
STD_BMP_Mfg_US_OUT = var(vec(BMP_Mfg_US(BMP_Mfg_US>0)'))^0.5;

COR_TradeMP_model = corrcoef(vec(D_ni_M(D_ni_M>0)'),vec(D_ni_m(D_ni_M>0)'));

MOM_s    = [AvgTradeModel AvgMPModel  AvgIFTModel AvgMPTModel  COR_TradeMP_model(1,2) Avg_BMP_Mfg_US Avg_BMP_Mfg_US_IN]; 
MOM_data = [AvgTradeData AvgMPData AvgIFT_data AvgMPTData COR_TradeMP_data(1,2)  Avg_BMP_MfgMfg_data   Avg_BMP_MfgMfg_data_inward];
MOMENTS_ALL = [MOM_s' MOM_data'];
STD_s    = [STD_X_sh      STD_M_sh      STD_IT_sh ];
STD_data = [STD_X_sh_data STD_M_sh_data STD_IT_sh_data];
STD      = [STD_s'  STD_data'];    

AGG_DOMESTIC_SHARES = [D_nn_m  D_nn_m_data D_nn_M D_nn_M_data];
AGG_TRADE_SHARES    = [Import_data Export_data Import_model];
AGG_MP_SHARES       = [OutwardMP_data InwardMP_data OutwardMP_model InwardMP_model];




