function [coef, sd_s, sd_coef] = OLS(y,x);

% Calculates OLS coefficients and standard errors
% Inputs: OLS(y,x)
% y - dependent variable
% x - [constant independent variables]
%
% Output:
% coef - coefficients
% sd_s - standard deviation of error term
% sd_coef - standard deviation of coefficients

coef = (inv(x'*x))*(x'*y);

% CALCULATE THE SD OF THE ERROR TERM
eps_s = (y - x*coef);
sd_s = ((eps_s'*eps_s)/length(y))^0.5;

% STD. OF OLS COEFFICIENTS
sd_coef = sd_s*((inv(x'*x)).^0.5);