

delta_k   = Xs(1);
delta_h   = Xs(2);
delta_ck  = Xs(3);
delta_ch  = Xs(4);
delta_lk  = Xs(5);
delta_lh  = Xs(6);
cons_k    = Xs(7);   
cons_h    = Xs(8);


% ============ Table 1: Calibrated Parameters

costs_parameters = [delta_k  delta_h;
                    delta_ck delta_ch;
                    delta_lk delta_lh;
                    cons_k   cons_h;
                     E_k     E_h;
                     STD_k   STD_h;
                     min_k   min_h;
                     max_k   max_h];
                 
 other_parameters = [A A_NT 1/theta]';
 
 % ============ Table 2: Moments Model and Data
 
 moments  = [AvgTradeData               AvgTradeModel;
             STD_X_sh_data              STD_X_sh;    
             AvgMPData                  AvgMPModel;
             STD_M_sh_data              STD_M_sh;
             COR_TradeMP_data(1,2)      COR_TradeMP_model(1,2);
             Avg_BMP_MfgMfg_data        Avg_BMP_Mfg_US;
             Avg_BMP_MfgMfg_data_inward Avg_BMP_Mfg_US_IN];
         
   % ============ Table 3: Goodness of fit
   
   correlations = [R2_T R2_M COR_bil_X COR_bil_M COR_X_sh(1,2) COR_M_sh(1,2) COR_MP_out_sh(1,2) COR_MP_in_sh(1,2)]';

   % ============ Table 4: Gains in data
   
   subsample = [NZL DNK PRT CAN GER JPN USA];
   
   if xi==1
   gains_independence_subsample = [GO_tilda(subsample) GT_tilda(subsample) GMP_tilda(subsample) 100*L(subsample)/sum(L)];
   end
       
   % ============ Table 5: Gains in calibrated models
   
gains_model_avg      = [mean(GO) mean(GT) mean(GT_tilda_model) mean(GMP) mean(GMP_tilda_model);
                    mean(GOg) mean(GT) mean(GT_tilda_model) mean(GMPg) mean(GMPg_tilda_model);
                    mean(GOf) 0         0 mean(GOf) mean(GMPf_tilda_model)];
         
  % ============ Table 6: Gains in calibrated models. Sub-sample of countries
  
  gains_model_subsample = [GO(subsample) GT(subsample) GT_tilda(subsample) GMP(subsample) GMP_tilda(subsample) GMPg(subsample)];
  

   % ============ Table 7: New Zealand Exercise
   
   if xi==1
   EXERCISE_NZL = [Gains_NZL_CAN_TRADE*100      Gains_NZL_BEL_TRADE*100; 
                   Gains_NZL_CAN_MP*100         Gains_NZL_BEL_MP*100; 
                   Gains_NZL_CAN_MPTRADE*100    Gains_NZL_BEL_MPTRADE*100 ];
   end
   % TABLES IN THE APPENDIX
   % ============ Table A1
   
   moments_data = [6006               6009          342;
                   0.11               0.31          342;
                   0.09               0.28          342;
                   AvgTradeData       STD_X_sh_data obs_trade; 
                   AvgMPData          STD_M_sh_data obs_MP;
                   AvgIFT_data        STD_IT_sh_data obs_IFT;
                   AvgMPTData         STDMPTData     obs_MPT];           

   
   % ============ Table A2
if xi == 1
   data_aggregates = [shareRDEmp realGDPpc L/L(USA) lambda_tot/lambda_tot(USA)];
end
   % ============ Table A3
   
   data_aggregate_MP = [OutwardMP_data InwardMP_data OutwardMP_model InwardMP_model];
  
   % ============ Table A4
  
   data_aggregate_TRADE = [Import_data Export_data Import_model];
   
   % Table A5: Gains in Data
   if xi == 1
      gains_independence_sample = [GO_tilda GT_tilda GMP_tilda 100*L/sum(L)];
   end
   
   % Table A6/A7: Gains in Model
     gains_model_sample = [GO GT GT_tilda GMP GMP_tilda GMPg 100*L/sum(L)];

   
         