function pm = PmFunctionNewMP(w,pmguess,A,params, cparams, T_li)

global I

B = params.B;
beta = params.beta;
theta = params.theta;
rho = params.rho;
Cs = params.Cs;
h = cparams.h;

% This function solves for the price index Pm for intermediate goods.

% Note: v should be of the form v(nl), markets in rows and production locations in columns

% Initial price
pm = pmguess;
pp = pm;
tolpp=1;
iter=0;
toler = 1.e-40;
        
while (tolpp>toler)&&(iter<400) 

Pm  =  pp;
c        = B* (w.^beta).* (Pm.^(1-beta));
c_matrix = (diag(c)*I)';         % This matrix is nXn with repeated rows of the form: [c(1) c(2) ...c(n); c(1)...c(n);...]
MP_cost  = c_matrix'./h;         % This matrix is nXn of the form:                    [c(1)/h11 c(1)/h12 ...c(1)/h1n; c(2)/h21...c(2)/h2n;...]    

Cin     = (1 - A)^(1/(1-rho))*MP_cost;

% % This line correct for the cost of firms from n in n:
% % C_nn = c_n;
% % C_ni = (1-A)^(1/(1-rho)) * c_n/h_ni.

Psi_ni  = T_li .* Cin.^(-1/theta) - diag(diag(T_li .* Cin.^(-1/theta))) + diag(diag(T_li).*c.^(-1/theta)); 

% Psi_ni  = T_li .* Cin.^(-1/theta); 

Psi_n   = sum(Psi_ni,2);

    ppp = Cs * Psi_n.^-theta;
    tolpp = max(abs(ppp-pp));
    pp = ppp;

    iter=iter+1;
end
pm = pp;