function pm = PmFunctionNewTrade(w,pmguess,cparams,params,T_li)

global I

k = cparams.k;
B = params.B;
beta = params.beta;
theta = params.theta;
Cs = params.Cs;

% This function solves for the price index Pm for intermediate goods.

% Note: v should be of the form v(nl), markets in rows and production locations in columns

% Initial price
pm = pmguess;
pp = pm;
tolpp=1;
iter=0;
toler = 1.e-16;
        
while (tolpp>toler)&&(iter<400) 

Pm  =  pp;
c        = B* (w.^beta).* (Pm.^(1-beta));
c_matrix = (diag(c)*I)';         % This matrix is nXn with repeated rows of the form: [c(1) c(2) ...c(n); c(1)...c(n);...]
T_cost   = c_matrix./k;          % This matrix is nXn of the form:                    [c(1)/k11 c(2)/k12 ...c(n)/k1n; c(1)/k21...c(n)/k2n;...]

Psi_ni  = (diag(diag(T_li))*I)'.*(T_cost.^(-1/theta));

Psi_n   = sum(Psi_ni,2);

    ppp = Cs * Psi_n.^-theta;
    tolpp = max(abs(ppp-pp));
    pp = ppp;

    iter=iter+1;
end
pm = pp;