function [des,ori]=f_effects(n)
% Calculates dummy variables for host and source countries for use in the
% OLS gravity equation.
% Inputs:
% Xij - Vector (n^2x6)
%
% Output:
% coef_OLS - OLS coefficients

% INDEX FOR DESTINY AND ORIGIN
dd = ones(n^2,1);                   % Destination is the i index
oo = ones(n^2,1);                   % Origin is the j index

for i = 1:n
    dd((i-1)*n+1:i*n) = i;          % Vector of n 1's, followed by n 2's, ...
    oo((i-1)*n+1:i*n)= [1:n]';      % Vector of [1:n,1:n,...,1:n]
end

nd = length(dd);                    % Length of vector with positive entries

des = zeros(nd,n);
ori = zeros(nd,n);

for i=1:nd
    for j=1:nd
        if  dd(j)==dd(i)            % Host and Source are same country
            des(j,dd(i)) = 1;
        end
        if  oo(j)==oo(i)
            ori(j,oo(i)) = 1;
        end
    end
end

%des = des(:,1:n);
%ori = ori(:,1:n);