function [w,Z,Pm] = f_wagesNewTrade(w0,cparams,params,T_li,L)

% Use by equilibrium.m: finds equilibrium wages, prices, and costs

global pmguess n

tinitial = clock; % counter of the time 

w=w0;
pmold = ones(n,1);  % initial guess for pm

% Iterate on the wage vector until a fixed point is reached
distdw=1;   % distance of succesive wages
dist =distdw;
iter = 0;
toler = 0.00000000001;                   % tolerance for changes in succesive wages
iter2 = 1000;
while (dist > toler) && (iter<iter2)     % stop when the tolerance is small enough, 
                                         % or when was running for more than 500 iterations.
   [w1,Z,pmnew] = TNewTrade(w,pmold,cparams,params,T_li,L);         % compute a vector Tw for a given vector w.
   
   distdw = max(abs((w1-w)./w));         % largest change in wages in %
   distZ  = sqrt( (Z./L)' * (Z./L) );    % Norm of Excess Demnand, weigthed by L
   dist = max(distdw,distZ);
   w = w1;
   pmold = pmnew;
   iter=iter+1;                          % count the number of iterations
end

tfinal= clock; % time at which it ends
et = etime(tfinal,tinitial);% compute elapsed time;

disp(' ');
disp(['time it took f)wages.m to run, in seconds = ', num2str(et)]);
disp('  ');

% price of tradeable aggregate pm:
Pm      = PmFunctionNewTrade(w,pmguess,cparams,params,T_li);
