function [k,h] = fcosts(x,border,lang,d_ni,n)


delta_k   = x(1);
delta_h   = x(2);
delta_ck  = x(3);
delta_ch  = x(4);
delta_lk  = x(5);
delta_lh  = x(6);
cons_k    = x(7);   
cons_h    = x(8);

border_k   = 1 - (1-delta_ck)*(border==1);
border_h   = 1 - (1-delta_ch)*(border==1);
lang_k     = 1 - (1-delta_lk)*(lang==1);
lang_h     = 1 - (1-delta_lh)*(lang==1);

k = 1./(1 + (cons_k + delta_k* d_ni).*border_k.*lang_k);
h = 1./(1 + (cons_h + delta_h* d_ni).*border_h.*lang_h);

k    = max(min(1,k),0);
h    = max(min(1,h),0);

% CHECKING TRIANGULAR INEQUALITIES
tempk = zeros(n,n,n);
for i=1:n
    for j=1:n
        for l=1:n
        tempk(i,j,l) = k(i,l)*k(l,j);
        end
        k(i,j) = max(k(i,j),max(tempk(i,j,:)));
    end
end
clear tempk
k = k - diag(diag(k)) + eye(n);
h = h - diag(diag(h)) + eye(n);